services:
  content_translation.synchronizer:
    class: Drupal\content_translation\FieldTranslationSynchronizer
    arguments: ['@entity.manager']

  content_translation.subscriber:
    class: Drupal\content_translation\Routing\ContentTranslationRouteSubscriber
    arguments: ['@content_translation.manager']
    tags:
      - { name: event_subscriber }

  content_translation.overview_access:
    class: Drupal\content_translation\Access\ContentTranslationOverviewAccess
    arguments: ['@entity.manager']
    tags:
      - { name: access_check, applies_to: _access_content_translation_overview }

  content_translation.manage_access:
    class: Drupal\content_translation\Access\ContentTranslationManageAccessCheck
    arguments: ['@entity.manager', '@language_manager']
    tags:
      - { name: access_check, applies_to: _access_content_translation_manage }

  content_translation.manager:
    class: Drupal\content_translation\ContentTranslationManager
    arguments: ['@entity.manager', '@content_translation.updates_manager']

  content_translation.updates_manager:
    class: Drupal\content_translation\ContentTranslationUpdatesManager
    arguments: ['@entity.manager', '@entity.definition_update_manager']
    tags:
      - { name: event_subscriber }
